Subject: bug#69528: 30.0.50; [BUG] transient.el is not a member of package--builtin-versions

From: Stefan Monnier <[email-masked]>
Date: Mon, 03 Jun 2024 16:38:17 -0400

>>> * lisp/emacs-lisp/lisp-mnt.el (lm-version): Prefer version in the
>>> "Package-Version:" header.  (Bug#69528)
>> BTW, I think this is a backward-incompatible change.
>> Whether we want `lm-version` to return the info from `Version:` or from
>> `Package-Version:` depends on what we want to do with it.
> When do we want lm-version to return Version and not Package-Version,
> where a (lm-header "version") wouldn't serve as a more specific
> replacement?

I don't know, but if we never want to return the value of `Version:`
when there's a `Package-Version:` then we don't need `Package-Version:`
either (we should just replace the `Version:` field with the content of
`Package-Version:`).

IOW the very existence of `Package-Version:` is predicated on the desire
to distinguish the two.

        Stefan